Issue #5102 has been updated by mame (Yusuke Endoh).

Target version changed from 1.9.4 to next minor


----------------------------------------
Feature #5102: [ext/openssl] Purpose of OpenSSL::PKCS12.new / Allow changing the password
https://bugs.ruby-lang.org/issues/5102#change-33188

Author: MartinBosslet (Martin Bosslet)
Status: Feedback
Priority: Normal
Assignee: MartinBosslet (Martin Bosslet)
Category: ext
Target version: next minor


It seems as if currently creating a PKCS12 with OpenSSL::PKCS12.new is not very useful, all the attributes
are read-only. So this could probably be removed or the attributes could be write-accessible, too.

Apart from that, it would also be nice to be able to change the password of an existing PKCS#12 file.


-- 
http://bugs.ruby-lang.org/